summaryrefslogtreecommitdiff
path: root/tests/userspace/wrap-unwrap.sh
diff options
context:
space:
mode:
authorDongHun Kwak <dh0128.kwak@samsung.com>2021-10-18 11:18:25 +0900
committerDongHun Kwak <dh0128.kwak@samsung.com>2021-10-18 11:18:25 +0900
commit0f4ff91467f9cd2b14f460297d0e7dcb84f80840 (patch)
tree2b10b3dc2b0eef1aac6880096423fa575e771eca /tests/userspace/wrap-unwrap.sh
parentbb0ada3bddfeeb4e98d3415c37266061c865005f (diff)
downloadecryptfs-utils-0f4ff91467f9cd2b14f460297d0e7dcb84f80840.tar.gz
ecryptfs-utils-0f4ff91467f9cd2b14f460297d0e7dcb84f80840.tar.bz2
ecryptfs-utils-0f4ff91467f9cd2b14f460297d0e7dcb84f80840.zip
Imported Upstream version 105upstream/105
Diffstat (limited to 'tests/userspace/wrap-unwrap.sh')
-rwxr-xr-xtests/userspace/wrap-unwrap.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/tests/userspace/wrap-unwrap.sh b/tests/userspace/wrap-unwrap.sh
index f678cac..332834e 100755
--- a/tests/userspace/wrap-unwrap.sh
+++ b/tests/userspace/wrap-unwrap.sh
@@ -32,7 +32,12 @@ test_cleanup()
}
trap test_cleanup 0 1 2 3 15
-test_dir=$(etl_create_test_dir) || exit
+test_dir_parent="$TMPDIR"
+if [ -z "$test_dir_parent"]; then
+ test_dir_parent="/tmp"
+fi
+
+test_dir=$(etl_create_test_dir "$test_dir_parent") || exit
path="${test_dir}/foo"
${test_script_dir}/wrap-unwrap/test ${path}